diff --git a/infra/proxmox-provision.sh b/infra/proxmox-provision.sh
index 9d59cc76..9972b15b 100755
--- a/infra/proxmox-provision.sh
+++ b/infra/proxmox-provision.sh
@@ -202,6 +202,12 @@ build_iso () {
     --log-format raw --quiet \
     --out-link "$tmpdir/installer-$2"
 
+  if [ $? -ne 0 ]; then
+    die 'Something went wrong when building ISO for VM %s.
+Check the Nix logs and fix things. Possibly there just is no NixOS configuration by that name?' \
+      "$2"
+  fi
+
   ln -sf "$tmpdir/installer-$2/iso/installer.iso" "$tmpdir/installer-$2.iso"
 
   printf 'done building ISO for VM %s.\n' "$2"